`timescale 1ns/1ns

module testbed;
    reg clk;
    wire green, red;

    fpga dut(
        clk, green, red
    );

    initial
        begin
            clk = 0;
            forever #278 clk = !clk;
        end

	initial
        begin
            #2000000000 $stop;
	    end

    initial
        begin
            $display ("%t: Starting wave dump...",$realtime);
            $dumpfile ("fpga.dump");
            $dumpvars(0);
        end

//    initial
//        $monitor ($stime, clk, green, red);

endmodule
