module fpga(
    clk, green, red
);

    input clk;
    output green, red;

    reg blink = 0;

    reg [19:0] pck_divider = 20'b0;

    always @(posedge clk)
    begin
        if(pck_divider == 20'd900000)
            begin
                pck_divider = 20'b0;
                blink = !blink;
            end
        else
            begin
                pck_divider = pck_divider + 1;
            end
    end

    assign green = blink;
    assign red = !blink;

endmodule

